OpenVDB 5.1.0

Classes | Public Types | Public Member Functions | Protected Attributes | List of all members
Normalize< GridT, MaskGridType, InterruptT > Class Template Reference

`#include <GridOperators.h>`

## Classes
struct | Functor
struct | OpT

## Public Types
typedef GridT | InGridType
typedef GridT | OutGridType

## Public Member Functions
| Normalize (const GridT &grid, InterruptT *interrupt=nullptr)
| Normalize (const GridT &grid, const MaskGridType &mask, InterruptT *interrupt=nullptr)
GridT::Ptr | process (bool threaded=true)

## Protected Attributes
const GridT & | mInputGrid
InterruptT * | mInterrupt
const MaskGridType * | mMask

## Member Typedef Documentation

## ◆ InGridType

typedef GridT InGridType

## ◆ OutGridType

typedef GridT OutGridType

## Constructor & Destructor Documentation

## ◆ Normalize() [1/2]

Normalize | ( | const GridT & | grid,
|  | InterruptT * | interrupt = `nullptr`
| ) |  |
| inline

## ◆ Normalize() [2/2]

Normalize | ( | const GridT & | grid,
|  | const MaskGridType & | mask,
|  | InterruptT * | interrupt = `nullptr`
| ) |  |
| inline

## Member Function Documentation

## ◆ process()

GridT::Ptr process | ( | bool | threaded = `true` | ) |
| inline

## Member Data Documentation

## ◆ mInputGrid

const GridT& mInputGrid
| protected

## ◆ mInterrupt

InterruptT* mInterrupt
| protected

## ◆ mMask

const MaskGridType* mMask
| protected

The documentation for this class was generated from the following file:

- GridOperators.h